Spawnzao

Yum swap

Por em 19/01/2019 - 63 views

Recentemente fui atualizar o meu servidor que roda o OpenVas, ele é um CentOS 7, e obtive o seguinte erro ao executar o yum update:

Transaction check error:
file /usr/lib/python2.7/site-packages/socks.py conflicts between attempted installs of python2-pysocks-1.6.8-5.el7.noarch and python-SocksiPy-1.00-4.el7.art.noarch
file /usr/lib/python2.7/site-packages/socks.pyc conflicts between attempted installs of python2-pysocks-1.6.8-5.el7.noarch and python-SocksiPy-1.00-4.el7.art.noarch
file /usr/lib/python2.7/site-packages/socks.pyo conflicts between attempted installs of python2-pysocks-1.6.8-5.el7.noarch and python-SocksiPy-1.00-4.el7.art.noarch

Pesquisei no Google e encontrei outras pessoas com o mesmo problema, mas nenhuma solução. Analisando melhor o problema, encontrei no Google a função “yum swap” que substitui um pacote por outro, e com ele consegui resolver o problema.

Segue a solução:

yum swap python2-pysocks python-SocksiPy
:, , , , ,
No comments for this entry yet...

Leave a Reply

Licença

Creative Commons License

Techs

 Blog Tool, Publishing Platform, and CMS
Powered by PHP
Powered by MySQL
Mozilla Foundation
hacker emblem
Mozilla Foundation
Open Source Initiative
Creative Commons